*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  /* background-color: transparent;
  overflow-x: hidden;
  min-height: 100vh; */
  font-family: Arial, Helvetica, sans-serif;
}

.seccion1 {
  width: 100%;
  height: 100vh;
  background: url("../img/aulas.jpg") no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  padding-top: calc(50vh - 50px);
}

.titulo1 {
  background-color: white;
  border: solid 2px #11659c;
  border-radius: 5px;
  color: #11659c;
  width: 90vw;
  height: 100px;
  margin: auto;
  font-size: 2vw;
  text-align: center;
  line-height: 100px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.seccion2 {
  background: url("../img/graduate.png") no-repeat;
  /* background-attachment: fixed; */
  background-position: right;
  width: 90vw;
  padding: 60px 40px;
  margin: auto;
}

.titulo2 {
  text-align: center;
  margin: 20px;
}

.success-get {
  text-align: center;
  /* width: 100vw; */
}

.success {
  background-color: #032000bb;
  padding: 10px 20px;
  color: #19b903;
  font-size: 1rem;
  border: 2px solid #19b903;
  border-radius: 7px;
}

.error-get {
  text-align: center;
  /* width: 100vw; */
}

.error {
  background-color: #000000bb;
  padding: 10px 20px;
  color: #ff030f;
  font-size: 1rem;
  border: 2px solid #ff030f;
  border-radius: 7px;
}

.info-text {
  width: 50%;
  line-height: 25px;
  text-align: justify;
  margin: 30px 0;
}

.color-font {
  color: #063555;
  text-transform: uppercase;
}

.regresa {
  text-align: center;
}

/* PÁGINA DE REGISTRO */
.encabezado {
  color: #11659c;
  width: 30%;
  height: 100px;
  margin: auto;
  font-size: 1rem;
  text-align: center;
  line-height: 100px;
}

.forma {
  width: 30%;
  height: 700px;
  margin: auto;
  line-height: 25px;
}

.label-input {
  width: 100px;
}

.form-input {
  width: 100%;
}

.btn-enviar {
  width: 70px;
  height: 30px;
  background-color: #158b10;
  border: none;
  border-radius: 7px;
  -webkit-border-radius: 7px;
  -moz-border-radius: 7px;
  -ms-border-radius: 7px;
  -o-border-radius: 7px;
  color: whitesmoke;
  cursor: pointer;
  transition: 0.5s ease-in;
}

.btn-cancelar {
  width: 70px;
  height: 30px;
  background-color: #b90000;
  border: none;
  border-radius: 7px;
  -webkit-border-radius: 7px;
  -moz-border-radius: 7px;
  -ms-border-radius: 7px;
  -o-border-radius: 7px;
  color: whitesmoke;
  cursor: pointer;
  transition: 0.5s ease-in;
  -webkit-transition: 0.5s ease-in;
  -moz-transition: 0.5s ease-in;
  -ms-transition: 0.5s ease-in;
  -o-transition: 0.5s ease-in;
}

.btn-enviar:hover {
  background-color: #08e400;
  color: white;
  font-weight: bold;
}

.btn-cancelar:hover {
  background-color: #fd0000;
  color: white;
  font-weight: bold;
}

/******************************** Media queries ***********************************/
@media (min-width: 576px) and (max-width: 767.98px) {
  .form-input {
    width: 350px;
  }
}

/************************ Cabeza de listado ***************************************/
.cabeza {
  background-color: #00a2ff;
  text-align: center;
  color: #00003f;
  font-weight: bold;
  font-size: 3vw;
  padding: 15px;
  margin-bottom: 30px;
}

/************************ CSS para las tablas ************************************/
.container_table {
  width: 100%;
  min-height: 0.01%;
  overflow-x: auto;
}

.tabla {
  border: solid 1px black;
  margin: auto;
  width: 80%;
  font-size: 1.5vw;
  color: #00003f;
  text-align: center;
}

thead {
  background-color: #00003f;
  color: whitesmoke;
}

.datos {
  text-align: center;
}

.datos-u {
  font-size: 1.5rem;
  font-weight: bold;
}

.tabla-e {
  margin: 0 auto;
}

.area-e {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

/*
tbody{
    background-color: whitesmoke;
}

td{
    border-bottom: solid 1px black;
    width: 80vw;
} */

tbody tr:nth-child(odd) {
  background-color: #5584dba8;
}

tbody tr:nth-child(even) {
  background-color: #b7b7ff;
}

table {
  background-color: #426fe9;
}

.editar {
  color: #064900;
  font-weight: bold;
  text-decoration: none;
  transition: 0.5s ease all;
}

.editar:hover {
  color: #eb5600;
}

.eliminar {
  color: #ff0000;
  text-decoration: none;
  transition: 0.5s ease all;
}

.eliminar:hover {
  color: #ffbb00;
}

.contenedor {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin: 30px;
}

.label-ver {
  display: block;
}

.regresar-lista {
  margin: 30px;
}

.ver-imagen {
  width: 50%;
}

.tamano {
  width: 100%;
  transition: 0.7s ease-in;
  -webkit-transition: 0.7s ease-in;
  -moz-transition: 0.7s ease-in;
  -ms-transition: 0.7s ease-in;
  -o-transition: 0.7s ease-in;
}

.tamano:hover {
  width: 700px;
}

.generaciones {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 30px 120px;
  justify-content: space-evenly;
}

.btn-year {
  background-color: #00a2ff;
  border: solid 3px #00003f;
  border-radius: 5px;
  color: whitesmoke;
  font-weight: bolder;
  text-decoration: none;
  text-transform: none;
  padding: 7px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.btn-back {
  background-color: #ff8800;
  border: solid 3px #00003f;
  border-radius: 7px;
  color: #3700b6;
  padding: 7px;
  -webkit-border-radius: 7px;
  -moz-border-radius: 7px;
  -ms-border-radius: 7px;
  -o-border-radius: 7px;
}

.new-date {
  background-color: #08e400;
  width: 70%;
  height: 75px;
  border: solid 3px #ff7b00;
  border-radius: 7px;
  color: white;
  text-shadow: 2px 2xp 2px #00003f, 2px -2px 2px #00003f;
  font-size: 1.5vw;
  font-weight: bold;
  text-align: center;
  line-height: 75px;
  margin: auto;
  -webkit-border-radius: 7px;
  -moz-border-radius: 7px;
  -ms-border-radius: 7px;
  -o-border-radius: 7px;
}

.grid-tallas-2019,
.grid-tallas-2020,
.grid-tallas-2021 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  width: 100vw;
  justify-content: space-evenly;
  margin: 100px 0;
  text-align: center;
  font-size: 2vw;
}
